using Grpc.Core;
using JOBot.Proto;
using JOBot.Backend.DAL.Context;

using Models = JOBot.Backend.DAL.Models;

namespace JOBot.Backend.Services.gRPC;
public class UserService(AppDbContext dbContext) : User.UserBase
{

    public override Task<RegisterResponse> Register(
        RegisterRequest request,
        ServerCallContext context)
    {
        if(!dbContext.Users
               .Any(x => x.TelegramId == request.UserId))
        {
            dbContext.Users.Add(new Models.User
            {
                TelegramId = request.UserId,
                Username = !string.IsNullOrEmpty(request.Username) ? request.Username : null
            });
            
            dbContext.SaveChanges();
            return Task.FromResult(new RegisterResponse
            {
                Success = true
            });
        }

        return Task.FromResult(new RegisterResponse
        {
            Success = false
        });
    }
}